@INPROCEEDINGS{7345265,
  author={Sabt, Mohamed and Achemlal, Mohammed and Bouabdallah, Abdelmadjid},
  booktitle={2015 IEEE Trustcom/BigDataSE/ISPA}, 
  title={Trusted Execution Environment: What It is, and What It is Not}, 
  year={2015},
  volume={1},
  number={},
  pages={57-64},
  keywords={Security;Kernel;Hardware;Runtime;Secure storage;Context;survey;TEE;TrustZone;DRTM;secure boot;secure scheduling;trusted UI},
  doi={10.1109/Trustcom.2015.357}
  }

@online{TrusteZoneAArch64,
	author = {ARM},
	title = {{Learn the architecture - TrustZone for AArch64}},
	publisher = {ARM},
  note = {\url{https://developer.arm.com/documentation/102418/latest} [Accessed: 08-23-2024]}
}

@online{Yocto_project,
	title = {The Yocto Project 5.0.3 documentation},
	note = {[Online accessed 26. Aug. 2024]},
	url = {https://docs.yoctoproject.org/index.html}
}

@inproceedings{Demyst,
author = {Yang, Heedong and Lee, Manhee},
title = {Demystifying ARM TrustZone TEE Client API using OP-TEE},
year = {2021},
isbn = {9781450389259},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3426020.3426113},
doi = {10.1145/3426020.3426113},
abstract = {Recently, sensitive information such as financial data and electronic payment systems have been stored in mobile devices. To protect important data, TEE technology has emerged, a trusty and safe execution environment. In particular, ARM TrustZone technology, which is mainly used in mobile, divides one physical processor into Normal World and Secure World to provide a safer execution environment. Many manufacturers have started using TrustZone technology, but existing commercial TEEs have limitations in conducting security research using TrustZone. Therefore, this paper shows how to use OP-TEE which is an open source project for implementing ARM TrustZone technology and TEE Client API that communicates with Trusted Application of TrustZone Secure World. To demystify TEE Client API, we implemented a simple trusted application for communication between Normal World and Secure World in OP-TEE OS using QEMU emulator.},
booktitle = {The 9th International Conference on Smart Media and Applications},
pages = {325–328},
numpages = {4},
keywords = {ARM Processor, OP-TEE, TrustZone, Trusted Execution Environment},
location = {Jeju, Republic of Korea},
series = {SMA 2020}
}